dim as Integer x=20
dim s as Integer
ScreenRes 640,480,8
color 7 ' color of line (duh)

 'column, line
line (30,140) - (300,300)
line (30,140) - (100,300)
color 4
print "markmenu!"

 do until (x >500)

line (x ,140) - (400, x )

input "",s
' put 1 var s exit

if (s = 1) Then end 0

x += 1

Loop

' to compile:
' fbc res.bas
' res

sleep
